Bug 427646 - Yum will not properly update with --installroot
Yum will not properly update with --installroot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
7
i686 Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-06 00:45 EST by Nic Stevens
Modified: 2014-01-21 18:01 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:58:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log, using script, of yum update (753.16 KB, text/plain)
2008-01-06 12:53 EST, Nic Stevens
no flags Details

  None (edit)
Description Nic Stevens 2008-01-06 00:45:39 EST
Description of problem:
Yum will not properly update with --installroot

Version-Release number of selected component (if applicable):
3.2.8

How reproducible:
mount newly installed system on other media and update from installed system.

Steps to Reproduce:
1. Install F7 on new media
2. Boot up existing F7 installation
4. mount new installation root
3. run yum --installroot=/mountpoint
  
Actual results:
Yum cannot perform it's post-install scripts and errors out with messages like:
error: %post(libsmbclient-3.0.28-0.fc7.i386) scriptlet failed, exit status 255
could not open ts_done file: [Errno 2] No such file or directory:
'/maxtor/var/lib/yum/transaction-done.2008-01-05.14:46.18'

Yum creates '/maxtor/maxtor/var/lib/yum/transaction-done.2008-01-05.14:46.18'
instead. 

I updated to the current yum for F7 to 3.2.8-2.fc7 errors still exist.
Comment 1 Seth Vidal 2008-01-06 01:29:00 EST
can you post the full log of the transaction?
Comment 2 Nic Stevens 2008-01-06 12:53:28 EST
Created attachment 290920 [details]
Log, using script, of yum update
Comment 3 Seth Vidal 2008-03-12 12:19:26 EDT
YUMBUGDAY
Comment 4 Seth Vidal 2008-03-13 12:03:32 EDT
okay, there are two items going on here:
1. Do you have selinux enabled? That may be the source of the scriptlet errors
2. This bug: could not open ts_done file: [Errno 2] No such file or directory: 
  '/maxtor/var/lib/yum/transaction-done.2008-01-06.09:35.32'

 has been fixed in upstream.

Comment 5 Nic Stevens 2008-03-13 12:13:46 EDT
selinux was not enabled
Comment 6 Bug Zapper 2008-05-14 11:14:13 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2008-06-16 22:58:57 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.